Scénarios
GET https://pusher.meerabl.com/api/flows/
curl --request GET \
--url 'https://pusher.meerabl.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.meerabl.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne de caractères | Chaîne de recherche. |
| search_by | Facultatif Chaîne de caractères | Champ dans lequel effectuer la recherche. Valeurs autorisées : name, title, description, url. |
| website_id | Facultatif Entier | |
| datetime_field | Facultatif Chaîne de caractères | Valeurs autorisées : last_sent_datetime, datetime, last_datetime |
| datetime_start | Facultatif Chaîne de caractères | Filtrer les résultats à partir de cette date et heure. Format : Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne de caractères | Filtrer les résultats jusqu'à cette date et heure. Format : Y-m-d H:i:s. |
| order_by | Facultatif Chaîne de caractères | Champ utilisé pour trier les résultats. Valeurs autorisées : flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Facultatif Chaîne de caractères | Sens du tri. Valeurs autorisées : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Numéro de la page à récupérer. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaité par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-14 16:05:20",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pusher.meerabl.com/api/flows?page=1",
"last": "https://pusher.meerabl.com/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://pusher.meerabl.com/api/flows?page=1"
}
}
GET https://pusher.meerabl.com/api/flows/{flow_id}
curl --request GET \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-14 16:05:20",
}
}
POST https://pusher.meerabl.com/api/flows
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Obligatoire Entier | - |
| name | Obligatoire Chaîne de caractères | - |
| title | Obligatoire Chaîne de caractères | - |
| description | Obligatoire Chaîne de caractères | - |
| url | Facultatif Chaîne de caractères | - |
| image | Facultatif Fichier | - |
| wait_time | Obligatoire Entier | - |
| wait_time_type | Obligatoire Chaîne de caractères | Valeurs autorisées : minutes, hours, days |
| button_title_1 | Facultatif Chaîne de caractères | - |
| button_url_1 | Facultatif Chaîne de caractères | - |
| button_title_2 | Facultatif Chaîne de caractères | - |
| button_url_2 | Facultatif Chaîne de caractères | - |
| is_silent | Facultatif Booléen | - |
| is_auto_hide | Facultatif Booléen | - |
| ttl | Facultatif Chaîne de caractères | Valeurs autorisées : 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Facultatif Chaîne de caractères | - |
| utm_medium | Facultatif Chaîne de caractères | - |
| utm_campaign | Facultatif Chaîne de caractères | - |
| segment | Facultatif Chaîne de caractères | Valeurs autorisées : all, INT segment_id |
| is_enabled | Facultatif Booléen | - |
| auto_apply_to_matching | Facultatif Booléen | - |
curl --request POST \
--url 'https://pusher.meerabl.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pusher.meerabl.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
POST https://pusher.meerabl.com/api/flows/{flow_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | - |
| name | Facultatif Chaîne de caractères | - |
| title | Facultatif Chaîne de caractères | - |
| description | Facultatif Chaîne de caractères | - |
| url | Facultatif Chaîne de caractères | - |
| image | Facultatif Fichier | - |
| wait_time | Facultatif Entier | - |
| wait_time_type | Facultatif Chaîne de caractères | Valeurs autorisées : minutes, hours, days |
| button_title_1 | Facultatif Chaîne de caractères | - |
| button_url_1 | Facultatif Chaîne de caractères | - |
| button_title_2 | Facultatif Chaîne de caractères | - |
| button_url_2 | Facultatif Chaîne de caractères | - |
| is_silent | Facultatif Booléen | - |
| is_auto_hide | Facultatif Booléen | - |
| ttl | Facultatif Chaîne de caractères | Valeurs autorisées : 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Facultatif Chaîne de caractères | - |
| utm_medium | Facultatif Chaîne de caractères | - |
| utm_campaign | Facultatif Chaîne de caractères | - |
| segment | Facultatif Chaîne de caractères | Valeurs autorisées : all, INT segment_id |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pusher.meerabl.com/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.meerabl.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \